Update an existing share

Performs a full update of a share identified by its share ID. First retrieves the current share data, then merges provided values with existing values (falling back to current values for any parameters not supplied). The API always uses SHARE_ID as the share's id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The unique identifier of the share to update (used in the URL)

string

Sent in the share body, but the API replaces it with SHARE_ID

string

The display name of the share

sharedContents
array of objects

Array of content objects included in the share

sharedContents
sharedDuration
object

The duration configuration for the share

sharedPermissions
object

The permission settings for shared users

sharedType
object

The type of share

sharedStatus
object

The current status of the share

integer

The share duration expressed in hours

string

The ID of the user who owns the share

string

The expiration date/time of the share

string

The ID of the asset being shared

sharedUsers
array of objects

Array of Nomad user objects to share with

sharedUsers
Responses
200

Success

400

Bad Request

401

The caller is not authenticated

404

The share was not found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!